al_register_event_source(3)

NAME

al_register_event_source - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_register_event_source(ALLEGRO_EVENT_QUEUE *queue,
       ALLEGRO_EVENT_SOURCE *source)

DESCRIPTION

Register the event source with the event queue specified. An event source may be registered with any number of event queues simultaneously, or none. Trying to register an event source with the same event queue more than once does nothing.

SEE ALSO

al_unregister_event_source(3), ALLEGRO_EVENT_SOURCE(3)